Package weka.classifiers.trees.m5

# Class CorrelationSplitInfo

java.lang.Object
weka.classifiers.trees.m5.CorrelationSplitInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `SplitEvaluate`, `RevisionHandler`

public final class CorrelationSplitInfo extends Object implements Cloneable, Serializable, SplitEvaluate, RevisionHandler
Finds split points using correlation.

Version:
  $Revision: 1.4 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CorrelationSplitInfo(int low, int high, int attr)`
Constructs an object which contains the split information

## Method Summary

Modifier and Type
Method
Description
`final void`
`attrSplit(int attr, Instances inst)`
Finds the best splitting point for an attribute in the instances
`final SplitEvaluate`
`copy()`
Makes a copy of this CorrelationSplitInfo object
`String`
`getRevision()`
Returns the revision string.
`final void`
`initialize(int low, int high, int attr)`
Resets the object of split information
`double`
`maxImpurity()`
Returns the impurity of this split
`int`
`position()`
Returns the position of the split in the sorted values.
`int`
`splitAttr()`
Returns the attribute used in this split
`double`
`splitValue()`
Returns the split value

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CorrelationSplitInfo

public CorrelationSplitInfo(int low, int high, int attr)
Constructs an object which contains the split information

Parameters:
  `low` - the index of the first instance
  `high` - the index of the last instance
  `attr` - an attribute

## Method Details

### copy

public final SplitEvaluate copy() throws Exception
Makes a copy of this CorrelationSplitInfo object

Specified by:
  `copy` in interface `SplitEvaluate`
Returns:
  a copy of the object
Throws:
  `Exception`

### initialize

public final void initialize(int low, int high, int attr)
Resets the object of split information

Parameters:
  `low` - the index of the first instance
  `high` - the index of the last instance
  `attr` - the attribute

### attrSplit

public final void attrSplit(int attr, Instances inst) throws Exception
Finds the best splitting point for an attribute in the instances

Specified by:
  `attrSplit` in interface `SplitEvaluate`
Parameters:
  `attr` - the splitting attribute
  `inst` - the instances
Throws:
  `Exception` - if something goes wrong

### maxImpurity

public double maxImpurity()
Returns the impurity of this split

Specified by:
  `maxImpurity` in interface `SplitEvaluate`
Returns:
  the impurity of this split

### splitAttr

public int splitAttr()
Returns the attribute used in this split

Specified by:
  `splitAttr` in interface `SplitEvaluate`
Returns:
  the attribute used in this split

### position

public int position()
Returns the position of the split in the sorted values. -1 indicates that a split could not be found.

Specified by:
  `position` in interface `SplitEvaluate`
Returns:
  an `int` value

### splitValue

public double splitValue()
Returns the split value

Specified by:
  `splitValue` in interface `SplitEvaluate`
Returns:
  the split value

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision